### Function

# Vips value_get_area

#### Declaration [src]

    void*
    vips_value_get_area (
      const GValue* value,
      size_t* length
    )

#### Description [src]

Get the pointer from an area. Don’t touch count (area is static).

#### Parameters

`value`

  Type: `GValue`

  Get from this value.

  The data is owned by the caller of the function.

`length`

  Type: `size_t*`

  Optionally return length here.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `void*`

The pointer held by `value`.

The data is owned by the called function.
The return value can be `NULL`.